Bug 1124076 - Rubygem-Staypuft: /etc/sysconfig/network-scripts/ifcfg-ethX files contain MACs of other interfaces from the same machine. This causes some interfaces not to come up on boot and eventually fails deployment.
Summary: Rubygem-Staypuft: /etc/sysconfig/network-scripts/ifcfg-ethX files contain MA...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ga
: Installer
Assignee: Mike Burns
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 23:31 UTC by Alexander Chuzhoy
Modified: 2014-08-08 18:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-05 18:31:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
/var/log/messages file from the compute node. (151.51 KB, text/plain)
2014-07-28 23:35 UTC, Alexander Chuzhoy
no flags Details

Description Alexander Chuzhoy 2014-07-28 23:31:45 UTC
Rubygem-Staypuft:  /etc/sysconfig/network-scripts/ifcfg-ethX files contain MACs of other interfaces from the same machine. This causes some interfaces not to come up on boot and eventually fails deployment.

Environment:
rhel-osp-installer-0.1.6-3.el6ost.noarch
openstack-foreman-installer-2.0.16-1.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
openstack-puppet-modules-2014.1-19.8.el6ost.noarch


Steps to reproduce:
1. Install rhel-osp-installer.
2. Create/run a deployment of Neutron (1 controller +1 networker +1 compute) where the interfaces are connected following this layout: https://docs.google.com/drawings/d/14dkoYRNckSv0M3ffXLVbIZtUwrW0rX7wDYkPbyU1YkQ/edit


Result: The deployment will get stuck installing the compute node on 60%.
Some investigation shows that the /etc/sysconfig/network-scripts/ifcfg-ethX files have MACs of other interfaces, i.e. eth0 has the mac of eth2, etc. This causes some interfaces not to be able to come up on boot. Here's an example:
ifup eth1
ERROR    : [/etc/sysconfig/network-scripts/ifup-eth] Device eth1 has different MAC address than expected, ignoring.

After fixing all the interfaces, brought UP the interface from the same subnet with the puppet server and was able to run the puppet agent, which (after resuming the de[ployment) resulted in successful deployment.

Expected result: Deployment that completed 100%.

Comment 2 Alexander Chuzhoy 2014-07-28 23:35:22 UTC
Created attachment 921982 [details]
/var/log/messages file from the compute node.

Comment 4 Lars Kellogg-Stedman 2014-07-29 13:58:49 UTC
Based on discussions on irc, we suspect that this was the result of booting with net.ifnames=0. We've decided to solve the NIC naming issue via documentation pending the release of a RHEL7 discovery image, so unless this issue crops up without setting net.ifnames=0, this isn't a problem that needs to be addressed.

Comment 5 Mike Burns 2014-08-05 18:31:05 UTC
based on comment 4, closing this as WORKSFORME.  If you reproduce without net.ifnames-0, please re-open


Note You need to log in before you can comment on or make changes to this bug.